MapperListener (Tomcat API Documentation)
Keywords: org.apache.coyote.tomcat5.MapperListener class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.tomcat5
Class MapperListener

    java.lang.Object
      org.apache.coyote.tomcat5.MapperListener

All Implemented Interfaces:
  java.util.EventListener, javax.management.NotificationListener

public class MapperListener
extends java.lang.Object
implements javax.management.NotificationListener

Mapper listener.

Author:
  Remy Maucherat, Costin Manolache

Field Summary
`protected Mapper` | `mapper` Associated mapper.
`protected javax.management.MBeanServer` | `mBeanServer` MBean server.

Constructor Summary
`MapperListener(Mapper mapper)` Create mapper listener.

Method Summary
`java.lang.String` | `getDomain()`
`java.lang.String` | `getEngine()`
`void` | `handleNotification(javax.management.Notification notification, java.lang.Object handback)`
`void` | `init()` Initialize associated mapper.
`void` | `setDomain(java.lang.String domain)`
`void` | `setEngine(java.lang.String engine)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapper

    protected Mapper mapper

  Associated mapper.

### mBeanServer

    protected javax.management.MBeanServer mBeanServer

  MBean server.

Constructor Detail

### MapperListener

    public MapperListener(Mapper mapper)

  Create mapper listener.

Method Detail

### getDomain

    public java.lang.String getDomain()

### setDomain

    public void setDomain(java.lang.String domain)

### getEngine

    public java.lang.String getEngine()

### setEngine

    public void setEngine(java.lang.String engine)

### init

    public void init()

  Initialize associated mapper.

### handleNotification

    public void handleNotification(javax.management.Notification notification,
                                   java.lang.Object handback)

  Specified by:
    `handleNotification` in interface `javax.management.NotificationListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.